Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Statistics

Prev Next
Post
/analytics/statistics

Used to get general statistics for your project over a given time period.

Body parameters
object
apptoken
string Required

Your App token

from
string Required

Start date for the analytics query (YYYY-MM-DD)

to
string Required

End date for the analytics query (YYYY-MM-DD)

Responses
200

200

Totals
{
  "success": "True",
  "code": "200",
  "data": {
    "new_users": {
      "totals": {
        "amount": "375"
      }
    },
    "total_sessions": {
      "totals": {
        "amount": "43"
      }
    },
    "unique_sessions": {
      "totals": {
        "amount": "9"
      }
    },
    "total_sessions_time": {
      "totals": {
        "amount": "5231"
      }
    },
    "avg_session_time": {
      "totals": {
        "amount": "121"
      }
    }
  }
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
object
new_users
object
totals
object
amount
string
total_sessions
object
totals
object
amount
string
unique_sessions
object
totals
object
amount
string
total_sessions_time
object
totals
object
amount
string
avg_session_time
object
totals
object
amount
integer
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string